3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php $value = 'a, moder php framework.= is a must 1234'; $output = preg_replace('/[^a-zA-z\d]/', '_', $value); echo $output;
based on GXa5n
Output for 5.6.0 - 5.6.30, hhvm-3.15.4, 7.0.0 - 7.2.0
a__moder__php_framework___is_a_must_1234